package id.iptek.utms.agent.model.enumeration;

/**
 *
 * @author jakar
 */
public enum InstallationNotificationType {
 
    SILENT(1),
    NEED_CONFIRMATION(2);
    
    private final int value;

    private InstallationNotificationType(int value) {
        this.value = value;
    }
    
    public int getValue() {
        return value;
    }
    
    public static InstallationNotificationType fromValue(int value) {
        InstallationNotificationType val = null;
        for(InstallationNotificationType _val : InstallationNotificationType.values()) {
            if(_val.getValue() == value) {
                val = _val;
                break;
            }
        }
        return val;
    }
}
